Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 265700 - =www-client/epiphany-2.24* should depend on =net-libs/xulrunner-1.9.0*
Summary: =www-client/epiphany-2.24* should depend on =net-libs/xulrunner-1.9.0*
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] GNOME (show other bugs)
Hardware: AMD64 Linux
: High normal (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL:
Whiteboard:
Keywords:
: 276014 282205 (view as bug list)
Depends on:
Blocks: gnome2.24
  Show dependency tree
 
Reported: 2009-04-10 21:42 UTC by BedOS_Gui
Modified: 2009-10-21 23:30 UTC (History)
8 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge --info (emerge--info,11.62 KB, text/plain)
2009-04-10 21:43 UTC, BedOS_Gui
Details

Note You need to log in before you can comment on or make changes to this bug.
Description BedOS_Gui 2009-04-10 21:42:59 UTC
When recompiling epiphany-2.24.3-r10 after python upgrading, this error occurs :

In file included from EphyBrowser.h:40,
                 from EventContext.cpp:83:
/usr/include/xulrunner-1.9/unstable/./nsPIDOMWindow.h: In member function 'void nsPIDOMWindow::SetModalContentWindow(PRBool)':
/usr/include/xulrunner-1.9/unstable/./nsPIDOMWindow.h:380: warning: conversion to 'PRPackedBool' from 'PRBool' may alter its value
EventContext.cpp: In member function 'nsresult EventContext::GetTargetCoords(nsIDOMEventTarget*, PRInt32*, PRInt32*)':
EventContext.cpp:693: error: 'class nsIDOMNSHTMLElement' has no member named 'GetScrollTop'
EventContext.cpp:695: error: 'class nsIDOMNSHTMLElement' has no member named 'GetScrollLeft'
make[4]: *** [libephymozillaembed_la-EventContext.lo] Error 1
make[4]: *** Waiting for unfinished jobs....
libtool: compile:  x86_64-pc-linux-gnu-g++ -DHAVE_CONFIG_H -I. -I../.. -I../../lib -I../../embed -I../.. -I/usr/include/xulrunner-1.9/unstable/. -I/usr/include/xulrunner-1.9/unstable/caps -I/usr/include/xulrunner-1.9/unstable/chardet -I/usr/include/xulrunner-1.9/unstable/chrome -I/usr/include/xulrunner-1.9/unstable/commandhandler -I/usr/include/xulrunner-1.9/unstable/content -I/usr/include/xulrunner-1.9/unstable/cookie -I/usr/include/xulrunner-1.9/unstable/docshell -I/usr/include/xulrunner-1.9/unstable/dom -I/usr/include/xulrunner-1.9/unstable/exthandler -I/usr/include/xulrunner-1.9/unstable/fastfind -I/usr/include/xulrunner-1.9/unstable/helperAppDlg -I/usr/include/xulrunner-1.9/unstable/find -I/usr/include/xulrunner-1.9/unstable/gfx -I/usr/include/xulrunner-1.9/unstable/gtkembedmoz -I/usr/include/xulrunner-1.9/unstable/history -I/usr/include/xulrunner-1.9/unstable/js -I/usr/include/xulrunner-1.9/unstable/layout -I/usr/include/xulrunner-1.9/unstable/locale -I/usr/include/xulrunner-1.9/unstable/mimetype -I/usr/include/xulrunner-1.9/unstable/necko -I/usr/include/xulrunner-1.9/unstable/nkcache -I/usr/include/xulrunner-1.9/unstable/passwordmgr -I/usr/include/xulrunner-1.9/unstable/pipboot -I/usr/include/xulrunner-1.9/unstable/pipnss -I/usr/include/xulrunner-1.9/unstable/pref -I/usr/include/xulrunner-1.9/unstable/shistory -I/usr/include/xulrunner-1.9/unstable/string -I/usr/include/xulrunner-1.9/unstable/sidebar -I/usr/include/xulrunner-1.9/unstable/spellchecker -I/usr/include/xulrunner-1.9/unstable/uriloader -I/usr/include/xulrunner-1.9/unstable/uconv -I/usr/include/xulrunner-1.9/unstable/wallet -I/usr/include/xulrunner-1.9/unstable/webbrowserpersist -I/usr/include/xulrunner-1.9/unstable/webbrwsr -I/usr/include/xulrunner-1.9/unstable/widget -I/usr/include/xulrunner-1.9/unstable/windowwatcher -I/usr/include/xulrunner-1.9/unstable/xmlextras -I/usr/include/xulrunner-1.9/unstable/xpcom -I/usr/include/xulrunner-1.9/unstable/xpconnect -DSHARE_DIR=\"/usr/share/epiphany\" -DPLUGINDIR=\"/usr/lib64/epiphany/2.24/plugins\" -DMOZILLA_HOME=\"\" -DMOZILLA_PREFIX=\"/usr\" -DMOZILLA_NATIVE_PLUGINSDIR=\"/usr/lib64/mozilla/plugins\" -DUA_VERSION=\"2.22\" -DALLOW_PRIVATE_API -DXPCOM_GLUE_USE_NSPR -DXPCOM_GLUE -fshort-wchar -I/usr/include/xulrunner-1.9/stable -I/usr/include/nspr -DXPCOM_GLUE -fshort-wchar -I/usr/include/xulrunner-1.9/unstable -I/usr/include/nspr -I/usr/include/nspr -D_REENTRANT -DORBIT2=1 -pthread -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/gio-unix-2.0/ -I/usr/include/gtk-2.0 -I/usr/lib64/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/directfb -I/usr/include/libpng12 -I/usr/include/gtk-unix-print-2.0 -I/usr/include/libxml2 -I/usr/include/libgnome-2.0 -I/usr/include/orbit-2.0 -I/usr/include/gconf/2 -I/usr/include/gnome-vfs-2.0 -I/usr/lib64/gnome-vfs-2.0/include -I/usr/include/libbonobo-2.0 -I/usr/include/dbus-1.0 -I/usr/lib64/dbus-1.0/include -I/usr/include/bonobo-activation-2.0 -I/usr/include/libgnomeui-2.0 -I/usr/include/libart-2.0 -I/usr/include/gnome-keyring-1 -I/usr/include/libbonoboui-2.0 -I/usr/include/libgnomecanvas-2.0 -I/usr/include/gail-1.0 -I/usr/include/libglade-2.0 -I/usr/include/gnome-desktop-2.0 -I/usr/include/startup-notification-1.0 -fno-rtti -fshort-wchar -march=native -O3 -pipe -msse3 -Wall -Wno-unused -Wall -Wconversion -Wpointer-arith -Wcast-align -Woverloaded-virtual -Wsynth -Wno-ctor-dtor-privacy -Wno-non-virtual-dtor -march=native -O3 -pipe -msse3 -MT libephymozillaembed_la-GeckoPrintService.lo -MD -MP -MF .deps/libephymozillaembed_la-GeckoPrintService.Tpo -c GeckoPrintService.cpp  -fPIC -DPIC -o .libs/libephymozillaembed_la-GeckoPrintService.o
In file included from GeckoFormSigningDialog.cpp:30:
/usr/include/xulrunner-1.9/unstable/./nsStringAPI.h: In function 'const nsDependentSubstring_external Substring(const PRUnichar*, const PRUnichar*)':
/usr/include/xulrunner-1.9/unstable/./nsStringAPI.h:1271: warning: conversion to 'PRUint32' from 'long int' may alter its value
/usr/include/xulrunner-1.9/unstable/./nsStringAPI.h: In function 'const nsDependentCSubstring_external Substring(const char*, const char*)':
/usr/include/xulrunner-1.9/unstable/./nsStringAPI.h:1309: warning: conversion to 'PRUint32' from 'long int' may alter its value
In file included from AutoWindowModalState.h:26,
                 from AutoModalDialog.h:28,
                 from GeckoFormSigningDialog.cpp:43:
/usr/include/xulrunner-1.9/unstable/./nsPIDOMWindow.h: In member function 'void nsPIDOMWindow::SetModalContentWindow(PRBool)':
/usr/include/xulrunner-1.9/unstable/./nsPIDOMWindow.h:380: warning: conversion to 'PRPackedBool' from 'PRBool' may alter its value
mv -f .deps/libephymozillaembed_la-GeckoFormSigningDialog.Tpo .deps/libephymozillaembed_la-GeckoFormSigningDialog.Plo
In file included from GeckoPrintService.cpp:36:
/usr/include/xulrunner-1.9/unstable/./nsStringAPI.h: In function 'const nsDependentSubstring_external Substring(const PRUnichar*, const PRUnichar*)':
/usr/include/xulrunner-1.9/unstable/./nsStringAPI.h:1271: warning: conversion to 'PRUint32' from 'long int' may alter its value
/usr/include/xulrunner-1.9/unstable/./nsStringAPI.h: In function 'const nsDependentCSubstring_external Substring(const char*, const char*)':
/usr/include/xulrunner-1.9/unstable/./nsStringAPI.h:1309: warning: conversion to 'PRUint32' from 'long int' may alter its value
In file included from AutoWindowModalState.h:26,
                 from AutoModalDialog.h:28,
                 from GeckoPrintService.cpp:50:
/usr/include/xulrunner-1.9/unstable/./nsPIDOMWindow.h: In member function 'void nsPIDOMWindow::SetModalContentWindow(PRBool)':
/usr/include/xulrunner-1.9/unstable/./nsPIDOMWindow.h:380: warning: conversion to 'PRPackedBool' from 'PRBool' may alter its value
In file included from GeckoPrintService.cpp:52:
GeckoPrintSession.h: At global scope:
GeckoPrintSession.h:50: warning: 'GeckoPrintSession' declared with greater visibility than the type of its field 'GeckoPrintSession::<anonymous>'
GeckoPrintSession.h:50: warning: 'GeckoPrintSession' declared with greater visibility than its base 'nsSupportsWeakReference'
In file included from /usr/include/xulrunner-1.9/unstable/./nsMargin.h:42,
                 from /usr/include/xulrunner-1.9/unstable/./nsIPrintSettings.h:18,
                 from /usr/include/xulrunner-1.9/unstable/./nsIPrintingPromptService.h:27,
                 from GeckoPrintService.h:29,
                 from GeckoPrintService.cpp:54:
/usr/include/xulrunner-1.9/unstable/./nsCoord.h: In function 'nscoord NSCoordMultiply(nscoord, float)':
/usr/include/xulrunner-1.9/unstable/./nsCoord.h:96: warning: conversion to 'float' from 'nscoord' may alter its value
/usr/include/xulrunner-1.9/unstable/./nsCoord.h: In function 'nscoord NSCoordDivide(nscoord, float)':
/usr/include/xulrunner-1.9/unstable/./nsCoord.h:110: warning: conversion to 'float' from 'nscoord' may alter its value
/usr/include/xulrunner-1.9/unstable/./nsCoord.h: In function 'float NSTwipsToUnits(nscoord, float)':
/usr/include/xulrunner-1.9/unstable/./nsCoord.h:411: warning: conversion to 'float' from 'nscoord' may alter its value
GeckoPrintService.cpp: In static member function 'static nsresult GeckoPrintService::TranslateSettings(GtkPrintSettings*, GtkPageSetup*, GtkPrinter*, const nsACString&, PRInt16, PRBool, nsIPrintSettings*)':
GeckoPrintService.cpp:535: warning: 'capabilities' may be used uninitialized in this function
GeckoPrintService.cpp:535: note: 'capabilities' was declared here
mv -f .deps/libephymozillaembed_la-GeckoPrintService.Tpo .deps/libephymozillaembed_la-GeckoPrintService.Plo
make[4]: Leaving directory `/var/tmp/paludis/www-client-epiphany-2.24.3-r10/work/epiphany-2.24.3/embed/mozilla'
make[3]: *** [all-recursive] Error 1
make[3]: Leaving directory `/var/tmp/paludis/www-client-epiphany-2.24.3-r10/work/epiphany-2.24.3/embed'
make[2]: Leaving directory `/var/tmp/paludis/www-client-epiphany-2.24.3-r10/work/epiphany-2.24.3/embed'
make[2]: *** [all] Error 2
make[1]: Leaving directory `/var/tmp/paludis/www-client-epiphany-2.24.3-r10/work/epiphany-2.24.3'
make[1]: *** [all-recursive] Error 1
make: *** [all] Error 2
/usr/libexec/paludis/utils/emake: emake returned error 2


Reproducible: Always
Comment 1 BedOS_Gui 2009-04-10 21:43:51 UTC
Created attachment 187919 [details]
emerge --info
Comment 2 Gilles Dartiguelongue gentoo-dev 2009-04-11 09:15:18 UTC
As I can't see a reference to python in what you pasted I have to assume this is a xulrunner problem or your system needs a revdep-rebuild.
Comment 3 BedOS_Gui 2009-04-11 09:27:59 UTC
(In reply to comment #2)
> As I can't see a reference to python in what you pasted I have to assume this
> is a xulrunner problem or your system needs a revdep-rebuild.
> 
Hi Gilles,

I run reconcilio and revdep-rebuild and none of these have asked for recompiling epiphany, just running python-updater do it.
I have re-emerged xulrunner (1.9.1_beta3) but no improvement with it.
Comment 4 Gilles Dartiguelongue gentoo-dev 2009-04-11 09:35:12 UTC
then it sounds like epiphany-2.24 isn't compatible with xulrunner-1.9.1
@nirbheek, could you confirm ?
Comment 5 Nirbheek Chauhan (RETIRED) gentoo-dev 2009-05-01 08:36:40 UTC
(In reply to comment #4)
> then it sounds like epiphany-2.24 isn't compatible with xulrunner-1.9.1
> @nirbheek, could you confirm ?
> 

Confirmed. epiphany-2.24 isn't compatible. epiphany-2.26 works however.
Comment 6 Nirbheek Chauhan (RETIRED) gentoo-dev 2009-05-03 10:21:46 UTC
2.26 works, change deps of epiphany-2.24?

Also, does epiphany-2.26 compile with xulrunner-1.9?
Comment 7 Gilles Dartiguelongue gentoo-dev 2009-05-03 10:26:42 UTC
I use it with =xulrunner-1.9.0.10 here and it works just fine.
Comment 8 Brian Johnson 2009-05-22 20:04:30 UTC
I get a sandbox violation trying to emerge epiphany-2.26.2

--------------------------- ACCESS VIOLATION SUMMARY ---------------------------
LOG FILE "/var/log/sandbox/sandbox-18241.log"

VERSION 1.0
FORMAT: F - Function called
FORMAT: S - Access Status
FORMAT: P - Path as passed to function
FORMAT: A - Absolute Path (not canonical)
FORMAT: R - Canonical Path
FORMAT: C - Command Line

F: rename
S: deny
P: /usr/lib/xulrunner-1.9.1/components/xpti.dat.tmp
A: /usr/lib/xulrunner-1.9.1/components/xpti.dat.tmp
R: /usr/lib/xulrunner-1.9.1/components/xpti.dat.tmp
C: ./conftest

F: rename
S: deny
P: /usr/lib/xulrunner-1.9.1/components/xpti.dat.tmp
A: /usr/lib/xulrunner-1.9.1/components/xpti.dat.tmp
R: /usr/lib/xulrunner-1.9.1/components/xpti.dat.tmp
C: ./conftest

F: rename
S: deny
P: /usr/lib/xulrunner-1.9.1/components/compreg.dat.tmp
A: /usr/lib/xulrunner-1.9.1/components/compreg.dat.tmp
R: /usr/lib/xulrunner-1.9.1/components/compreg.dat.tmp
C: ./conftest
--------------------------------------------------------------------------------

>>> Failed to emerge www-client/epiphany-2.26.2
Comment 9 Aaron 2009-06-03 04:10:31 UTC
This is a workaround, so I don't know how affective it will be, but adding the following two lines toward the end of the ebuild in the src_configure section worked for me:

    addpredict /usr/lib/xulrunner-1.9/components/xpti.dat.tmp
    addpredict /usr/lib/xulrunner-1.9/components/compreg.dat.tmp
Comment 10 Jory A. Pratt gentoo-dev 2009-06-22 02:46:12 UTC
(In reply to comment #8)
> I get a sandbox violation trying to emerge epiphany-2.26.2
> 
> --------------------------- ACCESS VIOLATION SUMMARY
> ---------------------------
> LOG FILE "/var/log/sandbox/sandbox-18241.log"
> 
> VERSION 1.0
> FORMAT: F - Function called
> FORMAT: S - Access Status
> FORMAT: P - Path as passed to function
> FORMAT: A - Absolute Path (not canonical)
> FORMAT: R - Canonical Path
> FORMAT: C - Command Line
> 
> F: rename
> S: deny
> P: /usr/lib/xulrunner-1.9.1/components/xpti.dat.tmp
> A: /usr/lib/xulrunner-1.9.1/components/xpti.dat.tmp
> R: /usr/lib/xulrunner-1.9.1/components/xpti.dat.tmp
> C: ./conftest
> 
> F: rename
> S: deny
> P: /usr/lib/xulrunner-1.9.1/components/xpti.dat.tmp
> A: /usr/lib/xulrunner-1.9.1/components/xpti.dat.tmp
> R: /usr/lib/xulrunner-1.9.1/components/xpti.dat.tmp
> C: ./conftest
> 
> F: rename
> S: deny
> P: /usr/lib/xulrunner-1.9.1/components/compreg.dat.tmp
> A: /usr/lib/xulrunner-1.9.1/components/compreg.dat.tmp
> R: /usr/lib/xulrunner-1.9.1/components/compreg.dat.tmp
> C: ./conftest
> --------------------------------------------------------------------------------
> 
> >>> Failed to emerge www-client/epiphany-2.26.2
> 

The only way to fix this properly is to remove the conftest from configure so it does not run. 
Comment 11 Nirbheek Chauhan (RETIRED) gentoo-dev 2009-06-28 13:02:10 UTC
(In reply to comment #9)
>     addpredict /usr/lib/xulrunner-1.9/components/xpti.dat.tmp
>     addpredict /usr/lib/xulrunner-1.9/components/compreg.dat.tmp
> 

Solution is to remove xpti.dat and compreg.dat. The initial problem for this bug OTOH, is CANTFIX since 2.26 works fine, and 2.24 can't be made to work.
Comment 12 Nirbheek Chauhan (RETIRED) gentoo-dev 2009-07-01 05:04:43 UTC
*** Bug 276014 has been marked as a duplicate of this bug. ***
Comment 13 Nirbheek Chauhan (RETIRED) gentoo-dev 2009-07-01 05:05:08 UTC
of course, OTOH, we need to restrict 2.24 to 1.9.0* ....
Comment 14 Nirbheek Chauhan (RETIRED) gentoo-dev 2009-07-02 06:40:13 UTC
... and fixed. Use 2.26 if you want 1.9.1

Using commit message:
------------------------------------------------------------------------------
2.24* doesn't work with xulrunner-1.9.1, DEPEND on xulrunner-1.9.0*. bug 265700
(Portage version: 2.2_rc33/cvs/Linux i686)
------------------------------------------------------------------------------
Comment 15 Paul Austin 2009-08-07 16:08:51 UTC
Right now unless you want to unmask 2.26 there is a conflict on versions of xulrunner between epiphany and firefox 3.5.2. Is there a way to slot xulrunner or add some configuration to ignore one the packages so that emerge --update world works?
Comment 16 Nirbheek Chauhan (RETIRED) gentoo-dev 2009-08-08 08:04:41 UTC
(In reply to comment #15)
> Right now unless you want to unmask 2.26 there is a conflict on versions of
> xulrunner between epiphany and firefox 3.5.2. Is there a way to slot xulrunner
> or add some configuration to ignore one the packages so that emerge --update
> world works?
> 

firefox 3.5.2 is not stable yet, if you keyworded firefox, you need to keyword epiphany as well.

@herd, however, firefox-3.5.2 is going to be stabilized soon (security bugs etc), maybe we should stabilize epiphany independent of the rest of gnome to match?
Comment 17 Rémi Cardona gentoo-dev 2009-08-08 09:40:40 UTC
If ephy works fine with gnome 2.24 libs, then ACK from me. But that probably requires some testing on a stable box/chroot.
Comment 18 Gilles Dartiguelongue gentoo-dev 2009-08-08 20:35:03 UTC
If you do the leg work, then sure, why not.
Comment 19 Daniel Cater 2009-08-20 16:34:21 UTC
As mentioned in comment 15 and comment 16 this caused bug 282101 for anyone running stable Gnome and stable Firefox (lots of people). If Gnome 2.26 is a long way off can someone please get Epiphany 2.26 stabilised ahead of the rest? Or unstable Firefox 3.5 again until then? Or slot Xulrunner as x.y.z instead of just x.y?
Comment 20 Fabiano Francesconi 2009-08-20 23:53:39 UTC
(In reply to comment #17)
> If ephy works fine with gnome 2.24 libs, then ACK from me. But that probably
> requires some testing on a stable box/chroot.
> 

I've just taken a look at ephiphany's RDEPS:
>=x11-libs/gtk+-2.16.0

This dep (for instance) is unmasked so it's a vicious cicle since almost "everything" has to be stabilized either way.

I agree with comment 19 . Let's slot xulrunner while GNOME is being stabilized (for what my opinion worths)
Comment 21 Gilles Dartiguelongue gentoo-dev 2009-08-21 14:51:54 UTC
*** Bug 282205 has been marked as a duplicate of this bug. ***